### Method

# Jsonrpc Client send_notification

since: 3.26

#### Declaration [src]

    gboolean
    jsonrpc_client_send_notification (
      JsonrpcClient* self,
      const gchar* method,
      GVariant* params,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously calls `method` with `params` on the remote peer.

This function will not wait or expect a reply from the peer.

If `params` is floating then the reference is consumed.

Available since: 3.26

#### Parameters

`method`

  Type: `const gchar*`

  The name of the method to call.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GVariant`

  A `GVariant` of parameters or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success; otherwise `FALSE` and `error` is set.